package com.heyu.api.data.service.vv;
/**
* <p>
* 推广者获得奖品名细 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-25
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.vv.VvPromoterAwardEntity;
public interface VvPromoterAwardService extends IService<VvPromoterAwardEntity> {



	VvPromoterAwardEntity selectVvPromoterAwardById(Long id);


	Long insertVvPromoterAward(VvPromoterAwardEntity vvPromoterAward);


	Long insertOrUpdateVvPromoterAward(VvPromoterAwardEntity vvPromoterAward);


	int updateVvPromoterAwardById(VvPromoterAwardEntity vvPromoterAward);


	int updateCoverVvPromoterAwardById(VvPromoterAwardEntity vvPromoterAward);


	int deleteVvPromoterAwardById(Long id);


}